Bug 66854 - FILTER: Import of Drawing shape in Word .doc file has the wrong shadow distance
Summary: FILTER: Import of Drawing shape in Word .doc file has the wrong shadow distance
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.2 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-12 12:50 UTC by M8R-j4i7001
Modified: 2013-11-20 10:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description M8R-j4i7001 2013-07-12 12:50:20 UTC
Depending on which 4.x.y.z version, opening some of the 
.doc files from http://saltmanz.com/files/Dominion/ seemed
to work, but when saving the file as .odt Libreoffice silently dropped the yellow circles, even though they were
properly displayed. With later version (4.1.x.y) the shadow of the yellow circles is too far off.

Downgrading to 3.6.6.2 resolved all these problems.
Operating System: Linux (Other)
Version: 4.0.3.3 release
Comment 1 Cor Nouws 2013-07-12 13:26:08 UTC
Hi there,

Thanks for the report.
I cannot confirm that the circles are dropped in 4.0.4 (final = rc2) when saved as .odt.
Possibly because you tested with an older version.


I can confirm that opening in 4.1.0.rc2 shows the shade of the drawing shape wrong.
The properties dialog says 0,31 cm in 4.1.0.2. In 4.0.4.2 0.01" (?!)

I change the summary of the issue a bit and set to NEW.
Failing time: did not search for possible duplicates.
(That is by the way a little job that you may want to do for us?)

Best,
Cor
Comment 2 Cor Nouws 2013-07-12 13:26:30 UTC
was OK in 4.0.4 > regression
Comment 3 M8R-j4i7001 2013-07-12 16:31:40 UTC
I tested with a recent Libreoffice and it seems that the dropping of the circles when saving was fixed. So, yes, only the offset of the shadows remains as a bug.

BTW, if I select one the frames (text boxes?) of the card dividers, the information bar at the bottom of Libreoffice displays the size in wrong units. When I double click on the frame to open the configuration window and directly close it with "OK", the displayed size uses the correct units suddenly.
Comment 4 Cor Nouws 2013-07-12 19:40:16 UTC
(In reply to comment #3)
> BTW, if I select one the frames (text boxes?) of the card dividers, the
> information bar at the bottom of Libreoffice displays the size in wrong
> units. When I double click on the frame to open the configuration window and
> directly close it with "OK", the displayed size uses the correct units
> suddenly.

:) Interesting! You may want to look if this is a know problem and if not, file a bug for this! Thanks ;) !
Comment 5 M8R-j4i7001 2013-07-13 22:25:12 UTC
Sorry, but no. The short experience with the bugs/regressions mentioned and the peculiarities of Libreoffice's GUI were unpleasant enough, that I happily switch to a different solution. I just reported them, so you have a chance to fix it if you care. I don't care enough to waste more time on annoying bugzilla.
Comment 6 Commit Notification 2013-11-19 10:24:02 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b0e3e3797072b10738086911488cba86d840e69

fdo#66854 keep shadow distance of non-supported MSO shadow type



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-11-20 10:52:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4d67ba5dc65e0eaa3ffe7fcfcdb55f59413385d&h=libreoffice-4-1

fdo#66854 keep shadow distance of non-supported MSO shadow type


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.